## hardware
UPDATE: harder than I thought https://www.ifixit.com/Guide/Battery+and+Trackpad.+Disassembling+MacBook+Pro+15-Inch+Retina+2012+2013+2014+2015/51846

Macbook Pro 2014 trackpad replacement:

Serial: C02P67T9G3QD
* https://everymac.com/ultimate-mac-lookup/?search_keywords=C02P67T9G3QD
* MGXC2LL/A

https://smile.amazon.com/s?k=pro+2014&i=specialty-aps&srs=20700281011&ref=nb_sb_noss_2 | Amazon.com : pro 2014
https://smile.amazon.com/dp/B078XFJWC6/ref=sspa_dk_detail_0?psc=1&pd_rd_i=B078XFJWC6&pd_rd_w=OEBV9&pf_rd_p=48d372c1-f7e1-4b8b-9d02-4bd86f5158c5&pd_rd_wg=SqNtM&pf_rd_r=KSM9HMDG9SZCY2FHZS0X&pd_rd_r=813c776a-669c-450a-a2fb-e178fbeb5011&spLa=ZW5jcnlwdGVkUXVhbGlmaWVyPUEyVzg2QzBIUUVLWVRNJmVuY3J5cHRlZElkPUEwOTA5NTM2TjBEWERJVkwzTVBKJmVuY3J5cHRlZEFkSWQ9QTAzMTc1ODMyUkZUNkIxTVFPUUpGJndpZGdldE5hbWU9c3BfZGV0YWlsJmFjdGlvbj1jbGlja1JlZGlyZWN0JmRvTm90TG9nQ2xpY2s9dHJ1ZQ== | AmazonSmile: JANRI Replacement Touchpad Trackpad Mouse with Cable for MacBook Pro 15" unibody A1286 (Mid 2009, Mid 2010, Early 2011, Late 2011, Mid 2012) 922-9035 922-9306 922-9749 821-0832-A: Computers & Accessories
https://smile.amazon.com/Padarsey-Replacement-Trackpad-Touchpad-Compatible/dp/B07CZHXK48?ref_=fsclp_pl_dp_12 | AmazonSmile: Padarsey Replacement Trackpad Touchpad Compatible with MacBook Pro 13"&15" Unibody A1286 &A1278 Touch Pads Without Flex Cable: Computers & Accessories
https://smile.amazon.com/slp/macbook-pro-trackpad-replacement/dh29vk83avd53uv?sa-no-redirect=1 | MacBook Pro Trackpad Replacement: Amazon.com
https://smile.amazon.com/JANRI-Replacement-821-1904-821-1904-02-Touchpad/dp/B07D3LWQ5M/ref=sr_1_3?dchild=1&keywords=pro+2014&qid=1589415028&sr=8-3&srs=20700281011 | AmazonSmile: JANRI Replacement 821-1904-A 821-1904-02 Touchpad Trackpad with Flex Cable for MacBook Pro Retina 15" inch A1398 (only for Late 2013 mid 2014 Version) ME293LL/A ME294LL/A MGXA2LL/A MGXC2LL/A: MP3 Players & Accessories
https://www.youtube.com/watch?v=_9liOWTjY2o&app=desktop | How to Replace a Macbook Pro Unibody Trackpad - YouTube
